summaryrefslogtreecommitdiff
path: root/app-emacs/wgrep
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-07 16:46:28 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-07 16:46:28 +0000
commitad104f434e3a64aaeb730713e6e729a6623d3d78 (patch)
tree5cc07213e9ec7a0a9b37ac9bad3fde76d4313dbc /app-emacs/wgrep
parent66803ee5a4746c216c857aeb8747130c4eb361e2 (diff)
downloadbaldeagleos-repo-ad104f434e3a64aaeb730713e6e729a6623d3d78.tar.gz
baldeagleos-repo-ad104f434e3a64aaeb730713e6e729a6623d3d78.tar.xz
baldeagleos-repo-ad104f434e3a64aaeb730713e6e729a6623d3d78.zip
Adding metadata
Diffstat (limited to 'app-emacs/wgrep')
-rw-r--r--app-emacs/wgrep/Manifest1
-rw-r--r--app-emacs/wgrep/metadata.xml4
-rw-r--r--app-emacs/wgrep/wgrep-3.0.0.ebuild35
3 files changed, 39 insertions, 1 deletions
diff --git a/app-emacs/wgrep/Manifest b/app-emacs/wgrep/Manifest
index ed43c71ee617..687a226873f2 100644
--- a/app-emacs/wgrep/Manifest
+++ b/app-emacs/wgrep/Manifest
@@ -1,2 +1,3 @@
DIST wgrep-2.3.0.tar.gz 16241 BLAKE2B 83802934b36dfcad17e3486a7405cdd170b20bd6574d92032c92aa2a8ae84a2b6ce47313c8ca70327982bebc4fb78363181c66d1c745d2179ba84fc655c617be SHA512 2f817ef482d8ce98531494a5f19f477d7544bcc8b2747ebe184194a058c6cb26d571ba7de22f7e4307aa110806fa45f683b2363b1520b8fe5edaa05ce5ba8d61
DIST wgrep-2.3.2.tar.gz 28908 BLAKE2B 992557cd59ac6887cec71c7dceac27ad5cfc153a09b68a1e312466077dfa08a6efb7e49ba24b06196daf41b2781f17a5d3f0c3f7b6ee28590d42db5a7de2a141 SHA512 a0a00f1d845c45f5de0e707ea5c8c14f9b01807533d7124be9fe0bfdd2d28c3e6fce2a4695daa1de880dd5ff5986b0533b3a5688790a7674576599fb2667ae76
+DIST wgrep-3.0.0.tar.gz 29569 BLAKE2B 0113c790e9903840e8dd421def45bc73b914b61d9beb7b178275efb623d735cdadcc3d96c361a88a293f437d906528d84c3876be5aee46caad22f0743ed40549 SHA512 8e93e824bafe8b9018e82d5fb57104c2324df62798214d848ff98bb86865d4a8e56df1e4efede49966555cb9af5059699c2d178722d8462ddc5977a5abd3d799
diff --git a/app-emacs/wgrep/metadata.xml b/app-emacs/wgrep/metadata.xml
index 90bcab7e64b2..7bbd88e4c934 100644
--- a/app-emacs/wgrep/metadata.xml
+++ b/app-emacs/wgrep/metadata.xml
@@ -9,7 +9,9 @@
wgrep allows you to edit a grep buffer and apply those changes to
the file buffer like sed interactively.
</longdescription>
-
+ <upstream>
+ <bugs-to>https://github.com/mhayashi1120/Emacs-wgrep/issues/</bugs-to>
+ </upstream>
<origin>gentoo-staging</origin>
<stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/app-emacs/wgrep/wgrep-3.0.0.ebuild b/app-emacs/wgrep/wgrep-3.0.0.ebuild
new file mode 100644
index 000000000000..75581cad4442
--- /dev/null
+++ b/app-emacs/wgrep/wgrep-3.0.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp readme.gentoo-r1
+
+DESCRIPTION="Writable grep buffer and apply the changes to files"
+HOMEPAGE="https://github.com/mhayashi1120/Emacs-wgrep/"
+SRC_URI="https://github.com/mhayashi1120/Emacs-${PN}/archive/${PV}.tar.gz
+ -> ${P}.tar.gz"
+S="${WORKDIR}"/Emacs-${P}
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+ELISP_REMOVE="${PN}-subtest.el"
+
+DOCS=( README.md )
+DOC_CONTENTS="See commentary in ${SITELISP}/${PN}/wgrep.el for documentation.
+ \n\nTo activate wgrep, add the following line to your ~/.emacs file:
+ \n\t(require 'wgrep)"
+SITEFILE="50${PN}-gentoo.el"
+
+src_test() {
+ ${EMACS} ${EMACSFLAGS} -L . -l ${PN}.el -l ${PN}-test.el \
+ -f ert-run-tests-batch-and-exit || die "tests failed"
+}
+
+src_install() {
+ rm ${PN}-test.el{,c} || die
+
+ elisp_src_install
+}